{*nastHlavExport*}
<script>
    function initMenuExportPat() {
        const menuPolozkyInput = document.querySelectorAll('[ajax-input-pat]');

        menuPolozkyInput.forEach(function (polozkaInput){
            polozkaInput.addEventListener('change',(even) => {
                const id = polozkaInput.getAttribute('data-id');
                const column = polozkaInput.getAttribute('data-name');
                const value = polozkaInput.value;
                const data = [];

                data['id'] = id;
                data['column'] = column;
                data['value'] = value;

                if (value !== '') {
                    naja.makeRequest('GET', {link saveData!}, { {$control->getParameterId('data')}: data })
                .then((payload) => {  });
                }else{
                    alert('Musíte vyplnit hodnotu!');
                    polozkaInput.focus();
                }
            });
        });
    }
</script>
{snippet list}
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                {*vzhled hlavičky*}
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Vzhled patičky</h5>
                    </div>
                    <div class="card-body">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">levý okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-pat data-name="margin_left" data-id="{$data->id}" value="{$data->margin_left}" placeholder="levý okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">pravý okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-pat data-name="margin_right" data-id="{$data->id}" value="{$data->margin_right}" placeholder="pravý okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">horní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-pat data-name="margin_top" data-id="{$data->id}" value="{$data->margin_top}" placeholder="horní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">dolní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-pat data-name="margin_bottom" data-id="{$data->id}" value="{$data->margin_bottom}" placeholder="dolní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">odsazení od spodu</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-pat data-name="margin_footer" data-id="{$data->id}" value="{$data->margin_footer}" placeholder="odsazení od spodu">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {*nastavení textu*}
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">velikost textu</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-pat data-name="font_size" data-id="{$data->id}" value="{$data->font_size}" placeholder="velikost textu">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3">
                                <form n:name="barvaTextForm" class="ajax">
                                    <label class="form-label">barva textu</label>
                                    <div class="input-group mb-3">
                                        <input type="text" n:name="barva" class="form-control color-picker" value="{$data->color}">
                                        <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                    </div>
                                    <input n:name="id" value="{$data->id}">
                                </form>
                            </div>
                            <div class="mb-0">
                                <form n:name="barvaPozadiForm" class="ajax">
                                    <label class="form-label">barva pozadí</label>
                                    <div class="input-group mb-3">
                                        <input type="text" n:name="barva" class="form-control color-picker" value="{$data->bg_color}">
                                        <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                    </div>
                                    <input n:name="id" value="{$data->id}">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                {*vzhled hlavičky*}
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Text patičky</h5>
                    </div>
                    <div class="card-body">
                        <div class="container-fluid">
                            <div class="mb-3">
                                <form n:name="patickaTextForm" class="ajax">
                                    <div class="mb-3">
                                        <label class="form-label">text</label>
                                        <textarea name="text" class="form-control" rows="5">{$data->text}</textarea>
                                    </div>
                                    <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                    <input n:name="id" value="{$data->id}">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        initMenuExportPat();
        initColorPicker();
    </script>
{/snippet}